Screw ios8/android5 partner app update

ksign

New Member
it's not like Uber was on top of their business.
lots of frustrations, tensions due to the grey zone they chose to deal with and now, they get rid of their drivers who are not planning on upgrading their old devices...
 

ksign

New Member
  • Thread Starter Thread Starter
  • #3
I guess it is worldwide, Uber decided to update their app and abandon compatibility with ios 7 and android 4.
which means that drivers with older devices cannot work anymore.
 

Mikedamirault

Well-Known Member
I don't really see the problem, even the iPhone 4s supports iOS 10 (at least according to Mactracker), and if you're using a phone older than that (iPhone 4 or earlier, and the equivalent for Android), you should seriously consider getting an upgrade
 

ksign

New Member
  • Thread Starter Thread Starter
  • #5
exactly what I am saying. I have an iphone 4 and there is no reason for me to "upgrade" which means buy a new device.
 

Mikedamirault

Well-Known Member
exactly what I am saying. I have an iphone 4 and there is no reason for me to "upgrade" which means buy a new device.
No reason for you to upgrade? You are using an outdated obsolete phone, you are lucky ANYTHING works on your phone at all

The iPhone 4 came out in 2010, the CDMA model (originally only for Verizon, later for Sprint) came out a year later, and both were discontinued later the same year

The average person gets a new phone every two years when their contract ends, some may hold onto their phone for a maximum of 4 years max... the iPhone 4 is already 6 years old... Yes, it's time for an upgrade, get at least an iPhone 5, though since the 7 just came out, it may be wise to go for the 6 (or better yet, be ahead of the curve, get the 7)
 

ksign

New Member
  • Thread Starter Thread Starter
  • #7
thank you for the planned obsolecense lesson but I dont buy it :wink:
 

ksign

New Member
  • Thread Starter Thread Starter
  • #8
by the way my iphone 4 is working perfectly fine, I dont need to change it
 

Chip Dawg

Well-Known Member
I guess it is worldwide, Uber decided to update their app and abandon compatibility with ios 7 and android 4.
which means that drivers with older devices cannot work anymore.
BS. I have android 4.0 and my app works fine.
 

Mikedamirault

Well-Known Member
by the way my iphone 4 is working perfectly fine, I dont need to change it
So? There are many people who have PCs running XP that work perfectly fine, that didn't stop Microsoft from dropping support for XP

There are analog CRT televisions that work fine (I have one right next to me right now, works great), and analog NTSC transmissions worked fine, that didn't stop the government from enacting the 2009 DTV transition

I have a ton of apps on my phone, not just the Uber app (mostly banking and money management apps) that require an up to date mobile OS (and thus up to date hardware)

This is just a fact of life, complaining isn't going to get you anywhere, you have two choices 1.) Get a new phone, like everyone else 2.) Quit Uber, your choice

Who knows, with subsidized pricing from your carrier, and getting something like the iPhone 5, who knows, you might be able to get it for free, or close to it, back up your current phone to iCloud, and restore it on the new phone, take the 4 to an ECO ATM or sell it on Gazzelle, and recoup any loss you had getting the new 5 (if any)

Technology advances at an alarming rate, and older tech isn't always compatible with newer tech, Uber considers the iPhone 4 and iOS 7 as obsolete, and no longer wants to support it, sadly they have the right not to support it
 
Top